import request from '@/utils/request'

// 查询在线下载列表
export function listDownload(query) {
  return request({
    url: '/hezhi/download/list',
    method: 'get',
    params: query
  })
}

// 查询在线下载详细
export function getDownload(downloadId) {
  return request({
    url: '/hezhi/download/' + downloadId,
    method: 'get'
  })
}

// 新增在线下载
export function addDownload(data) {
  return request({
    url: '/hezhi/download',
    method: 'post',
    data: data
  })
}

// 修改在线下载
export function updateDownload(data) {
  return request({
    url: '/hezhi/download',
    method: 'put',
    data: data
  })
}

// 删除在线下载
export function delDownload(downloadId) {
  return request({
    url: '/hezhi/download/' + downloadId,
    method: 'delete'
  })
}
